Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.mytypereconstruction.set
Class CTypeAssumptionSet

    java.lang.Object
      mycompiler.mytypereconstruction.set.CSet<E>
          mycompiler.mytypereconstruction.set.CHashtableSet<CTypeAssumption>
              mycompiler.mytypereconstruction.set.CTypeAssumptionSet

    public class CTypeAssumptionSet

extends CHashtableSet<CTypeAssumption>

Version:
  $Date: 2005/06/28 19:19:08 $
Author:
  J�rg B�uerle

Constructor Summary
`CTypeAssumptionSet()`

Method Summary
`CTypeAssumptionSet` | `deepCopy()`
`CTypeAssumptionSet` | `shallowCopy()`
`void` | `sub(CSubstitutionSet subtitutions)`

Methods inherited from class mycompiler.mytypereconstruction.set.CHashtableSet
`addElement, addElement, contains, equals, getCardinality, getElement, getHashtable, getIterator, removeElement, removeElement, setHashtable, subtract, unite`

Methods inherited from class mycompiler.mytypereconstruction.set.CSet
`toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CTypeAssumptionSet

    public CTypeAssumptionSet()

Method Detail

### sub

    public void sub(CSubstitutionSet subtitutions)

### shallowCopy

    public CTypeAssumptionSet shallowCopy()

  Specified by:
    `shallowCopy` in class `CSet<CTypeAssumption>`

### deepCopy

    public CTypeAssumptionSet deepCopy()

  Specified by:
    `deepCopy` in class `CSet<CTypeAssumption>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD